Raspberry Pi Kernel 5.10

Hi,

I have some devices that will be using a CM4 and a PCIe<->USB3 device. With Raspberry Pi OS the PCIe device works without issue on kernel 5.10 but doesn’t work with 5.4. I haven’t tried with balenaOS yet but since there are known issues with PCIe and kernel 5.4 and it didn’t work with Raspberry Pi OS kernel 5.4, I’m not hopeful. Is there current work to get the 5.10 kernel supported in balenaOS? I realize 5.10 isn’t in the dunfell branch of meta-raspberrypi so it’s not a super simple change but I think given the benefits of PCIe it would be worth looking into.

Thanks,

Andrew

There sure is @smithandrewcKernel 5.10 by jakogut · Pull Request #604 · balena-os/balena-raspberrypi (github.com)

We’re still sorting out issues, but, it’s in the works. :slight_smile:

Great, thanks.